source: branches/profile/arbsrc_README_gcc.txt

Last change on this file was 7331, checked in by westram, 8 years ago
  • tested and added gcc 4.5.2
  • Property svn:eol-style set to native
  • Property svn:keywords set to Author Date Id Revision
File size: 2.1 KB
Line 
1
2ARB will compile with several versions of gcc.
3
4Compilation is frequently tested with
5
6            gcc version   used in ubuntu
7
8            gcc 4.2.4      8.04 LTS hardy
9            gcc 4.3.3      9.04     jaunty
10            gcc 4.4.3     10.04     lucid
11
12The main Makefile in the ARB directory lists all supported versions
13(currently starting with gcc 3.2) and complains if you try to use
14an untested gcc version.
15
16You may try to simply add the untested version number to the Makefile
17and try compilation. Especially if the version lays somewhere inbetween
18the listed versions your chances are good that it will work.
19
20If you encounter compilation problems with any of the versions listed
21in the Makefile, please report to devel@arb-home.de
22
23
24If your gcc version refuses to compile ARB, you need to install an
25additional gcc.
26
27
28Here a short howto (using gcc 4.5.2 as example):
29
30- download (e.g.)
31
32      mkdir new-dir
33      cd new-dir
34      wget 'http://gcc.cybermirror.org/releases/gcc-4.5.2/gcc-core-4.5.2.tar.bz2'
35      wget 'http://gcc.cybermirror.org/releases/gcc-4.5.2/gcc-g++-4.5.2.tar.bz2'
36
37- unpack into directory 'src':
38
39      mkdir src
40      cd src
41      tar -jxvf ../gcc-core-4.5.2.tar.bz2
42      tar -jxvf ../gcc-g++-4.5.2.tar.bz2
43
44- create directory 'objs'
45
46      cd ..
47      mkdir objs
48
49- use bash:
50
51      bash
52
53- configure gcc:
54
55      cd objs
56      ../src/gcc-4.5.2/configure --prefix=/opt/gcc-4.5.2 --disable-nls
57
58- build gcc:
59
60      make bootstrap
61
62- install gcc:
63
64      su
65      make install
66
67- prefix
68      /opt/gcc-4.5.2/bin
69  to your PATH environment variable.
70
71- compile ARB
72
73
74-------------------------------------------
75problems that may occur while compiling gcc
76-------------------------------------------
77
78 - configure is complaining about wrong libmfc
79
80   - download, compile and install recent version
81     (further assuming it was installed into /usr/local)
82   - before configuring gcc set
83
84     LD_OPTIONS='-L/usr/local/lib -R/usr/local/lib'
85     export LD_OPTIONS
86     LDFLAGS='-L/usr/local/lib -R/usr/local/lib'
87     export LDFLAGS
88
89   - run configure with
90         --with-mpfr=/usr/local
91     option
92   - continue with 'make bootstrap' like above
Note: See TracBrowser for help on using the repository browser.